### Signal

# Jsonrpc Client::notification

since: 3.26

#### Declaration

    void
    notification (
      JsonrpcClient* self,
      gchar* method,
      GVariant* params,
      gpointer user_data
    )

#### Description [src]

This signal is emitted when a notification has been received from a peer. Unlike `JsonrpcClient::handle-call`, this does not have an “id” parameter because notifications do not have ids. They do not round trip.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
The signal can be detailed
Available since: 3.26

#### Parameters

`method`

  Type: `gchar*`

  The method name of the notification.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`params`

  Type: `GVariant`

  Params for the notification.

  The argument can be `NULL`.
  The data is owned by the caller of the function.